Bug 651671 (CVE-2010-4169)

Summary: CVE-2010-4169 kernel: perf bug
Product: [Other] Security Response Reporter: Eugene Teo (Security Response) <eteo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: arozansk, bhu, collura, fhrbata, jkacur, jmalanik, kernel-mgr, kmcmartin, lgoncalv, lwang, rt-maint, tcallawa, vkrizan, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20101109,reported=20101110,source=lkml,impact=moderate,cvss2=4.7/AV:L/AC:M/Au:N/C:N/I:N/A:C,rhel-6/kernel=affected,mrg-1/realtime-kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-29 13:15:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 651672, 651673, 651674    
Bug Blocks:    

Description Eugene Teo (Security Response) 2010-11-10 03:58:31 UTC
Description of problem:
Upstream commit dab5855 ("perf_counter: Add mmap event hooks to mprotect()") is fundamentally wrong as mprotect_fixup() can free 'vma' due to merging. Fix the problem by moving perf_event_mmap() hook to mprotect_fixup(). In certain scenario, a local, unprivileged user could use this flaw to trigger a denial of service.

Upstream commit:
http://git.kernel.org/linus/63bfd7384b119409685a17d5c58f0b56e5dc03da

Comment 6 Eugene Teo (Security Response) 2010-11-10 04:09:10 UTC
*** Bug 651669 has been marked as a duplicate of this bug. ***

Comment 9 Eugene Teo (Security Response) 2010-11-10 07:46:05 UTC
*** Bug 651670 has been marked as a duplicate of this bug. ***

Comment 10 Eugene Teo (Security Response) 2010-11-16 06:53:17 UTC
Statement:

The Linux kernel as shipped with Red Hat Enterprise Linux 3, 4 and 5 did not backport the upstream commit dab5855 that introduced the issue. Future kernel updates in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG may address this flaw.

Comment 11 errata-xmlrpc 2010-12-08 19:09:44 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0958 https://rhn.redhat.com/errata/RHSA-2010-0958.html

Comment 12 errata-xmlrpc 2011-02-22 17:38:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0283 https://rhn.redhat.com/errata/RHSA-2011-0283.html